> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit an email set



## OpenAPI

````yaml put /admin/auto_emails/emailset
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /admin/auto_emails/emailset:
    put:
      tags:
        - Auto Emails
      summary: Edit an email set
      operationId: b9086f060e7b52ef3519677030134a4e
      requestBody:
        description: Data for editing an email set
        required: true
        content:
          application/json:
            schema:
              properties:
                id:
                  description: The id of the emailset
                  type: integer
                client_id:
                  description: The id of the client
                  type: string
                name:
                  description: The name of the email set
                  type: string
                from:
                  description: The sender of the email set
                  type: string
                emailset_id:
                  description: The emailset id
                  type: integer
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  message:
                    description: Response message
                    type: string
                type: object
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                properties:
                  message:
                    description: Error message
                    type: string
                type: object
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      description: 'API key generated from Developer Settings. Format: hys_...'
      name: X-HYS-API-Key
      in: header

````